Announcements All the latest from MaxterHost

Security Advisory - WP Super Cache affected by XSS vulnerability

Read Full Announcement

Cache the Uncacheable - Railgun™ 5.0 is here!

Read Full Announcement

WordPress SEO by Yoast - Security Advisory

Read Full Announcement

The "GHOST" Vulnerability

Read Full Announcement

SSL Certificates With 4 or 5-Year Validity No Longer Offered

Read Full Announcement

MaxterHost Website Is Now SSL-Only

Read Full Announcement

PHP 5.3 Disabled Due to Vulnerability

Read Full Announcement

SSLv3 Disabled Due To "Poodle" Vulnerability

Read Full Announcement

CloudFlare Railgun™ - Now Available at MaxterHost

Read Full Announcement

Client Area Moved to New URL

Read Full Announcement
  View RSS Feed

Powered by WHMCompleteSolution